#-----------------------------------------------------------------------------
%define		dist		.ok
%define		shortname	%(echo %{name} | cut -d '-' -f1-2)
#-----------------------------------------------------------------------------
Name		:	mate-sensors-applet
Version		:	1.27.0
Release		:	14.4.0.0%{?dist}
Summary		:	Display readings from hardware sensors in your MATE panel 
Group		:	Development/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GLPLv2
URL		:	http://pub.mate-desktop.org/releases/

Source0		:	%{name}-%{version}.tar.xz
#-----------------------------------------------------------------------------
BuildRequires	:	gtk3+
BuildRequires	:	itstool
BuildRequires	:	mate-panel

Requires(post)	:	%{_bindir}/glib-compile-schemas
#-----------------------------------------------------------------------------
%description
MATE Sensors Applet is an applet for the MATE Panel to display
readings from hardware sensors, including CPU temperature, fan speeds
and voltage readings under Linux.

#-----------------------------------------------------------------------------
%files		-f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_includedir}/%{name}/*.h
%{_libdir}/lib%{name}-plugin.so*
%{_libdir}/%{name}/plugins/*.so
%{_libexecdir}/%{name}
%{_datadir}/dbus-1/services/org.mate.panel.applet.*.service
%{_datadir}/glib-2.0/schemas/org.mate.sensors-applet.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.sensors-applet.sensor.gschema.xml
%{_datadir}/icons/hicolor/*/devices/%{name}-*.png
%{_datadir}/icons/hicolor/*/apps/%{name}*.png
%{_datadir}/help/*/%{name}/index.docbook
%{_datadir}/help/*/%{name}/legal.xml
%{_datadir}/help/*/%{name}/figures/*.png
%{_datadir}/pixmaps/%{name}/*.png
%{_datadir}/mate-panel/applets/org.mate.applets.SensorsApplet.mate-panel-applet
%{_datadir}/%{name}/ui/*.xml

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas 2> /dev/null

%postun
if [ "$1" = 0 ]; then
  %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas 2> /dev/null
  fi
/usr/sbin/ldconfig

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --sysconfdir=%{_sysconfdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%version	\
	--disable-schemas-compile			\
	--disable-static				\
	

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%find_lang %{name}
#-----------------------------------------------------------------------------
%changelog
